;InnoSetupVersion=4.0.5

[Setup]
AppName=GraphCalc v4.0.1
AppVerName=GraphCalc v4.0.1
AppId=GraphCalc v4.0.1
DefaultDirName={pf}\GraphCalc
DefaultGroupName=GraphCalc
OutputBaseFilename=setup
Compression=zip
PrivilegesRequired=none
LicenseFile=embedded\License.txt
WizardImageFile=embedded\WizardImage0.bmp
WizardSmallImageFile=embedded\WizardSmallImage0.bmp

[Files]
Source: "{app}\GrphCalc.exe"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\grphcalc.chm"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\graphcalc.ini"; DestDir: "{app}"; Flags: onlyifdoesntexist 
Source: "{app}\constants.dat"; DestDir: "{app}"; Flags: uninsneveruninstall onlyifdoesntexist 
Source: "{app}\units.dat"; DestDir: "{app}"; Flags: uninsneveruninstall onlyifdoesntexist 
Source: "{app}\ButtonDown.wav"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\ButtonUp.wav"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\scripts\circle.gcs"; DestDir: "{app}\scripts"; Flags: uninsneveruninstall onlyifdoesntexist 
Source: "{app}\scripts\quadratic.gcs"; DestDir: "{app}\scripts"; Flags: uninsneveruninstall onlyifdoesntexist 
Source: "{app}\scripts\Area\circle.gcs"; DestDir: "{app}\scripts\Area"; Flags: uninsneveruninstall onlyifdoesntexist 
Source: "{app}\scripts\Area\ellipse.gcs"; DestDir: "{app}\scripts\Area"; Flags: uninsneveruninstall onlyifdoesntexist 
Source: "{app}\scripts\Area\eqtriangle.gcs"; DestDir: "{app}\scripts\Area"; Flags: uninsneveruninstall onlyifdoesntexist 
Source: "{app}\scripts\Area\parallelogram.gcs"; DestDir: "{app}\scripts\Area"; Flags: uninsneveruninstall onlyifdoesntexist 
Source: "{app}\scripts\Area\trapezoid.gcs"; DestDir: "{app}\scripts\Area"; Flags: uninsneveruninstall onlyifdoesntexist 
Source: "{app}\scripts\Area\triangle.gcs"; DestDir: "{app}\scripts\Area"; Flags: uninsneveruninstall onlyifdoesntexist 
Source: "{app}\scripts\Surface Area\cube.gcs"; DestDir: "{app}\scripts\Surface Area"; Flags: uninsneveruninstall onlyifdoesntexist 
Source: "{app}\scripts\Surface Area\cylinder.gcs"; DestDir: "{app}\scripts\Surface Area"; Flags: uninsneveruninstall onlyifdoesntexist 
Source: "{app}\scripts\Surface Area\prism.gcs"; DestDir: "{app}\scripts\Surface Area"; Flags: uninsneveruninstall onlyifdoesntexist 
Source: "{app}\scripts\Surface Area\rectangular prism.gcs"; DestDir: "{app}\scripts\Surface Area"; Flags: uninsneveruninstall onlyifdoesntexist 
Source: "{app}\scripts\Surface Area\sphere.gcs"; DestDir: "{app}\scripts\Surface Area"; Flags: uninsneveruninstall onlyifdoesntexist 
Source: "{app}\scripts\Volume\cone.gcs"; DestDir: "{app}\scripts\Volume"; Flags: uninsneveruninstall onlyifdoesntexist 
Source: "{app}\scripts\Volume\cube.gcs"; DestDir: "{app}\scripts\Volume"; Flags: uninsneveruninstall onlyifdoesntexist 
Source: "{app}\scripts\Volume\cylinder.gcs"; DestDir: "{app}\scripts\Volume"; Flags: uninsneveruninstall onlyifdoesntexist 
Source: "{app}\scripts\Volume\ellipsoid.gcs"; DestDir: "{app}\scripts\Volume"; Flags: uninsneveruninstall onlyifdoesntexist 
Source: "{app}\scripts\Volume\irragular prism.gcs"; DestDir: "{app}\scripts\Volume"; Flags: uninsneveruninstall onlyifdoesntexist 
Source: "{app}\scripts\Volume\pyramid.gcs"; DestDir: "{app}\scripts\Volume"; Flags: uninsneveruninstall onlyifdoesntexist 
Source: "{app}\scripts\Volume\rectangular prism.gcs"; DestDir: "{app}\scripts\Volume"; Flags: uninsneveruninstall onlyifdoesntexist 
Source: "{app}\scripts\Volume\sphere.gcs"; DestDir: "{app}\scripts\Volume"; Flags: uninsneveruninstall onlyifdoesntexist 
Source: "{app}\scripts\Volume\if.gcs"; DestDir: "{app}\scripts\Volume"; Flags: uninsneveruninstall onlyifdoesntexist 
Source: "{app}\scripts\Volume\while.gcs"; DestDir: "{app}\scripts\Volume"; Flags: uninsneveruninstall onlyifdoesntexist 

[Registry]
Root: HKCU; Subkey: "Software\GraphCalc"; Flags: uninsdeletekeyifempty 
Root: HKCU; Subkey: "Software\GraphCalc\GraphCalc"; Flags: uninsdeletekey 
Root: HKLM; Subkey: "Software\GraphCalc"; Flags: uninsdeletekeyifempty 
Root: HKLM; Subkey: "Software\GraphCalc\GraphCalc"; Flags: uninsdeletekey 

[INI]
FileName: "{app}\graphcalc.ini"; Section: "Settings"; Key: "file"; String: "{app}\default.gcl"; 

[Icons]
Name: "{group}\GraphCalc"; Filename: "{app}\GrphCalc.exe"; WorkingDir: "{app}"; 

[UninstallDelete]
Type: files; Name: "{app}\graphcalc.ini"; 
Type: files; Name: "{app}\*.gcl"; 

[Languages]
; These files are stubs
; To achieve better results after recompilation, use the real language files
Name: "default"; MessagesFile: "embedded\default.isl"; 
